Skip to main content
PUT
/
v1
/
wallet
/
address_book
Edit Address Book Entry
curl --request PUT \
  --url https://api.ondoperps.xyz/v1/wallet/address_book \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "withdrawalAddress": "0x054A94b753CBf65D1Bc484F6D41897b48251fbfF",
  "addressLabel": "My Ledger Nano X"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
withdrawalAddress
string
required

The withdrawal address to edit

Example:

"0x054A94b753CBf65D1Bc484F6D41897b48251fbfF"

addressLabel
string

Updated label for the address

Example:

"My Ledger Nano X"

Response

Updated

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""